<?php
namespace MW\Concerts\Domain\Model;

/*                                                                        *
 * This script belongs to the FLOW3 package "MW.Concerts".                *
 *                                                                        *
 *                                                                        */

use TYPO3\FLOW3\Annotations as FLOW3;

/**
 * 
 * An artist.
 *
 * @FLOW3\Scope("prototype")
 * @FLOW3\Entity
 * 
 * @author     Martin Helmich <m.helmich@mittwald.de>
 * @version    2011-10-24
 * @package    MW.Concerts
 * @subpackage Domain\Model
 * 
 */
class Artist {

	/**
	 * The name of the artist
	 * @var string
	 */
	protected $name;

	/**
	 * The country the artist is from
	 * @var string
	 */
	protected $country;

	/**
	 * The musical genre of the artist.
	 * @var string
	 */
	protected $genre;


	/**
	 * Get the Artist's name
	 * @return string The Artist's name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets this Artist's name
	 * @param string $name The Artist's name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Get the Artist's country
	 * @return string The Artist's country
	 */
	public function getCountry() {
		return $this->country;
	}

	/**
	 * Sets this Artist's country
	 *
	 * @param string $country The Artist's country
	 * @return void
	 */
	public function setCountry($country) {
		$this->country = $country;
	}

	/**
	 * Get the Artist's genre
	 *
	 * @return string The Artist's genre
	 */
	public function getGenre() {
		return $this->genre;
	}

	/**
	 * Sets this Artist's genre
	 *
	 * @param string $genre The Artist's genre
	 * @return void
	 */
	public function setGenre($genre) {
		$this->genre = $genre;
	}

}
