<?php
namespace MW\Concerts\Domain\Model;

/*                                                                        *
 * This script belongs to the FLOW3 package "MW.Concerts".                *
 *                                                                        *
 *                                                                        */

use TYPO3\FLOW3\Annotations as FLOW3;
use Doctrine\ORM\Mapping as ORM;

/**
 * A concert.
 *
 * @FLOW3\Scope("prototype")
 * @FLOW3\Entity
 * 
 * @author     Martin Helmich <m.helmich@mittwald.de>
 * @version    2011-10-24
 * @package    MW.Concerts
 * @subpackage Domain\Model
 * 
 */
class Concert {

	/**
	 * The location
	 * @var string
	 */
	protected $location;

	/**
	 * The artist
	 * @ORM\ManyToOne(cascade={"all"})
	 * @var \MW\Concerts\Domain\Model\Artist
	 */
	protected $artist;

	/**
	 * The date
	 * @var \DateTime
	 */
	protected $date;


	/**
	 * Get the Concert's location
	 *
	 * @return string The Concert's location
	 */
	public function getLocation() {
		return $this->location;
	}

	/**
	 * Sets this Concert's location
	 *
	 * @param string $location The Concert's location
	 * @return void
	 */
	public function setLocation($location) {
		$this->location = $location;
	}

	/**
	 * Get the Concert's artist
	 *
	 * @return \MW\Concerts\Domain\Model\Artist The Concert's artist
	 */
	public function getArtist() {
		return $this->artist;
	}

	/**
	 * Sets this Concert's artist
	 *
	 * @param \MW\Concerts\Domain\Model\Artist $artist The Concert's artist
	 * @return void
	 */
	public function setArtist($artist) {
		$this->artist = $artist;
	}

	/**
	 * Get the Concert's date
	 *
	 * @return \DateTime The Concert's date
	 */
	public function getDate() {
		return $this->date;
	}

	/**
	 * Sets this Concert's date
	 *
	 * @param \DateTime $date The Concert's date
	 * @return void
	 */
	public function setDate($date) {
		$this->date = $date;
	}

}
